### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.user

# Class SubjectMatter

java.lang.Object
com.sas.services.user.SubjectMatter

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class SubjectMatter extends Object implements Serializable
This class is used to marshall the contents of a Subject across a remote connection. By default credentials don't get transmitted, so this circumvents that. It is not intended that any class outside the User Service package use this class for any reason.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectMatter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPrincipal(Object principal)`
  Add a principal to the collection.
  `void`
  `addPrivateCredential(Object credential)`
  Add a private credential to the collection.
  `void`
  `addPublicCredential(Object credential)`
  Add a public credential to the collection.
  `List`
  `getPrincipals()`
  `List`
  `getPrivateCredentials()`
  `List`
  `getPublicCredentials()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectMatter

    public SubjectMatter()

- ## Method Details

  - ### addPrincipal

    public void addPrincipal(Object principal)
    Add a principal to the collection.
    Parameters:
      `principal` - The Principal to add.

  - ### addPrivateCredential

    public void addPrivateCredential(Object credential)
    Add a private credential to the collection.
    Parameters:
      `credential` - The Credential to add.

  - ### addPublicCredential

    public void addPublicCredential(Object credential)
    Add a public credential to the collection.
    Parameters:
      `credential` - The credential to add to the public credential collection.

  - ### getPrincipals

    public List getPrincipals()
    Returns:
      A List of principals.

  - ### getPrivateCredentials

    public List getPrivateCredentials()
    Returns:
      A List of private credentials

  - ### getPublicCredentials

    public List getPublicCredentials()
    Returns:
      A List of public credentials.